From a8ce90c51c929aa7759cca33bccb859027385709 Mon Sep 17 00:00:00 2001
From: DABH <DABH@users.noreply.github.com>
Date: Thu, 10 May 2018 23:05:45 -0700
Subject: [PATCH] Add edge case handling for undefined styles

---
 .travis.yml   | 2 --
 lib/colors.js | 2 +-
 package.json  | 2 +-
 3 files changed, 2 insertions(+), 4 deletions(-)

diff --git a/.travis.yml b/.travis.yml
index d209446..27d3ffa 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -13,6 +13,4 @@ node_js:
   - "0.8"
 script:
   - npm install
-  - npm install if-node-version
-  - if-node-version ">=4" "./node_modules/.bin/eslint . "
   - npm test
diff --git a/lib/colors.js b/lib/colors.js
index 7022a17..bbc5ac1 100644
--- a/lib/colors.js
+++ b/lib/colors.js
@@ -105,7 +105,7 @@ function applyStyle() {
   var args = Array.prototype.slice.call(arguments);
 
   var str = args.map(function(arg) {
-    if (arg.constructor === String) {
+    if (arg !== undefined && arg.constructor === String) {
       return arg;
     } else {
       return util.inspect(arg);
diff --git a/package.json b/package.json
index cccdde4..123e2b0 100644
--- a/package.json
+++ b/package.json
@@ -1,7 +1,7 @@
 {
     "name": "colors",
     "description": "get colors in your node.js console",
-    "version": "1.2.4",
+    "version": "1.2.5",
     "author": "Marak Squires",
     "homepage": "https://github.com/Marak/colors.js",
     "bugs": "https://github.com/Marak/colors.js/issues",
